# Uses of Class
javax.swing.text.JTextComponent.KeyBinding

Packages that use JTextComponent.KeyBinding
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

## Uses of JTextComponent.KeyBinding in javax.swing

Methods in javax.swing that return JTextComponent.KeyBinding
Modifier and Type
Method
Description
`static JTextComponent.KeyBinding[]`
LookAndFeel.`makeKeyBindings(Object[] keyBindingList)`
Convenience method for building an array of `KeyBindings`.

## Uses of JTextComponent.KeyBinding in javax.swing.text

Methods in javax.swing.text with parameters of type JTextComponent.KeyBinding
Modifier and Type
Method
Description
`static void`
JTextComponent.`loadKeymap(Keymap map, JTextComponent.KeyBinding[] bindings, Action[] actions)`
Loads a keymap with a bunch of bindings.